Subject: bug#30938: 27.0; `dired-do-create-files' etc.: do NOT always raise error if no files

From: Eli Zaretskii <[email-masked]>
Date: Fri, 30 Mar 2018 19:07:00 +0300

> Date: Fri, 30 Mar 2018 08:43:29 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > > If you don't believe that a user or another library could
> > > or would define such a command (or in any other way would
> > > call an existing function that calls the workhorse function
> > > `dired-get-marked-files', then too bad.
> > 
> > Such uses can always call dired-get-marked-files with the last
> > argument nil or omitted.  Where's the problem?
> 
> I won't repeat myself this time.  If you don't want to see or
> fix the problem, so be it.

I might agree that it's a bug if I understand it.  But since you
refuse to explain it, I guess I never will.